Subject: Re: Media Type Registration request for POWDER and POWDER-S
From: Bjoern Hoehrmann <[email-masked]>
To: Phil Archer <[email-masked]>
Cc: [email-masked], [email-masked], Public POWDER <[email-masked]>
Date: Thu, 22 Jan 2009 12:44:53 +0100
List-Id: <ietf-xml-mime.imc.org>

* Phil Archer wrote:
>To whom it may concern,
>
>This request was submitted on 8th December last year, archived at [1], 
>and effectively replaced the requests sent previously that were 
>incorrect for various reasons [2].
>
>As the POWDER WG makes its final preparations for a transition request 
>for W3C Proposed Recommendation status, I realise that there has been no 
>acknowledgement of the corrected requests, still less a resolution.

Ultimately your request has to go to the IESG; the ietf-types list is
only for community review of proposed registrations, and IANA will only
register types in the standards tree as directed by the IESG. I believe
the W3C prefers if registration requests to the IESG are made through
W3C's IETF liaison (Dan Connolly and Philippe Le Hégaret).
-- 
Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/ 

Date: Thu, 22 Jan 2009 11:12:13 +0000
From: Phil Archer <[email-masked]>
To: [email-masked]
CC: [email-masked], Public POWDER <[email-masked]>
Subject: Re: Media Type Registration request for POWDER and POWDER-S
Sender: [email-masked]

To whom it may concern,

This request was submitted on 8th December last year, archived at [1], 
and effectively replaced the requests sent previously that were 
incorrect for various reasons [2].

As the POWDER WG makes its final preparations for a transition request 
for W3C Proposed Recommendation status, I realise that there has been no 
acknowledgement of the corrected requests, still less a resolution.

The W3C Recommendations Track document that includes the registration 
details is available with W3C member access at [3]. The text is not 
expected to change before PR transition is requested (apart from 
removing diff marks etc.).

Can I ask you to look into the matter please?

Thank you.

Phil Archer
On behalf of the POWDER WG.

[1] http://www.alvestrand.no/pipermail/ietf-types/2008-December/002122.html
[2] http://www.alvestrand.no/pipermail/ietf-types/2008-December/002117.html
[3] http://www.w3.org/2007/powder/Group/powder-dr/20090120-diff.html#appB

Phil Archer wrote:
> To whom it may concern,
> 
> This e-mail is sent in line with "How to Register an Internet Media Type 
> for a W3C Spec" [1] and follows an earlier attempt to follow the IANA 
> process (see 2, 3).
> 
> Having taken advice [4], the W3C POWDER Working Group requests that 
> consideration be given to registering two Media types for POWDER and 
> POWDER-S documents.
> 
> POWDER: application/powder+xml
> ==============================
> 
> POWDER is a constrained dialect of XML that transports RDF properties 
> and objects that can be associated with multiple subjects. The media 
> type details are included in Appendix B of POWDER: Description Resources 
> [5] which has just completed its (second) Last Call period. The version 
> cited here includes changes made in response to last call comments and 
> is not yet published, however, it is the one (or very close to the one) 
> the working group will present as the Proposed Recommendation. It is 
> anticipated that this happen within the next 2 weeks. The relevant 
> section of the Description Resources document is as follows:
> 
> Appendix B: POWDER Internet Media Type and Macintosh File Type
> 
> The following Media Type has been submitted to the IESG for review, 
> approval, and registration with IANA
> 
> contact:
>   Phil Archer or Matt Womer
> 
> See also:
>   How to Register a Media Type for a W3C Specification
>   Internet Media Type registration, consistency of use
>   TAG Finding 3 June 2002 (Revised 4 September 2002)
> 
> The Internet Media Type / MIME Type for POWDER is "application/powder+xml".
> 
> It is recommended that POWDER files use the file extension of .xml (all 
> lowercase) on all platforms.
> 
> It is recommended that POWDER files stored on Macintosh HFS file systems 
> be given a file type of "TEXT".
> 
> Type name:
>   application
> 
> Subtype name:
>   powder+xml
> 
> Required parameters:
>   None
> 
> Optional parameters:
>   None
> 
> Encoding considerations:
>   Identical to those of "application/xml" as specified in [RFC3023],
>   section 3.2.
> 
> Security considerations:
>   POWDER is used to make assertions, sometimes socially sensitive, about
>   web resources. Consumers of POWDER should be aware of the source and
>   chain of custody of this data. Security considerations for URIs
>   (Section 7 of RFC 3986 [RFC3986]) and IRIs (Section 8 of RFC 3987
>   [RFC3987]) apply to the extent that describing resources in POWDER may
>   prompt consumers to retrieve those resources.
> 
> Interoperability considerations:
>   There are no known interoperability issues.
> 
> Published specification:
>   http://www.w3.org/TR/powder-dr/
> 
> Applications which use this media type:
>   No known applications currently use this media type.
> 
> Additional information:
> Magic number(s):
>  As specified for "application/xml" in RFC 3023 [RFC3023], section 3.2.
> 
> File extension(s):
>   .xml
> 
> Fragment identifiers:
>   Identical to that of "application/xml" as described in RFC 3023
>   [RFC3023], section 5.
> 
> Base URI:
>   As specified in RFC 3023 [RFC3023], section 6.
> 
> Macintosh file type code(s):
>   "TEXT"
> 
> Person & email address to contact for further information:
>   [email-masked]
> 
> Intended usage:
> COMMON
> 
> Restrictions on usage:
>   None
> 
> Author/Change controller:
>   The POWDER specification is a work product of the World Wide Web
>   Consortium's Protocol for Web Description Resources (POWDER) Working
>   Group. The W3C has change control over these specifications.
> 
> POWDER-S: application/powder-s+xml
> ==================================
> 
> Semantic POWDER, or POWDER-S, is typically generated by performing a 
> transformation on a POWDER document. Each POWDER-S document is an OWL 
> ontology from which properties and values can be inferred for a given 
> resource. In order for inferences to be drawn, however, OWL tools must 
> implement a semantic extension (defined separately) and it is for this 
> reason that a new media type is requested, rather than using the 
> existing RDF/OWL media types. A POWDER-S document is valid RDF/OWL but 
> is essentially meaningless without the semantic extension.
> 
> The media type details are included in Appendix C of POWDER: Description 
> Resources [5] as follows:
> 
> Appendix C: POWDER-S Internet Media Type and Macintosh File Type
> 
> The following Media Type has been submitted to the IESG for review, 
> approval, and registration with IANA
> 
> contact:
>   Phil Archer or Matt Womer
> 
> See also:
>   How to Register a Media Type for a W3C Specification
>   Internet Media Type registration, consistency of use
>   TAG Finding 3 June 2002 (Revised 4 September 2002)
> 
> The Internet Media Type / MIME Type for POWDER-S is 
> "application/powder-s+xml".
> 
> It is recommended that POWDER-S files use the file extension of .rdf 
> (all lowercase) on all platforms.
> 
> It is recommended that POWDER-S files stored on Macintosh HFS file 
> systems be given a file type of "TEXT".
> 
> Type name:
>   application
> 
> Subtype name:
>   powder-s+xml
> 
> Required parameters:
>   None
> 
> Optional parameters:
>   None
> 
> Encoding considerations:
>  Identical to those of "application/xml" as specified in [RFC3023],
>   section 3.2.
> 
> Security considerations:
>   POWDER-S is used to make assertions, sometimes socially sensitive,
>   about web resources. Consumers of POWDER should-S be aware of the
>   source and chain of custody of this data. Security considerations for
>   URIs (Section 7 of RFC 3986 [RFC3986]) and IRIs (Section 8 of RFC 3987
>   [RFC3987]) apply to the extent that describing resources in POWDER-S
>   may prompt consumers to retrieve those resources.
> 
> Interoperability considerations:
>   There are no known interoperability issues.
> 
> Published specification:
>   http://www.w3.org/TR/powder-dr/
> 
> Applications which use this media type:
>   No known applications currently use this media type.
> 
> Additional information:
> 
> Magic number(s):
>   As specified for "application/xml" in RFC 3023 [RFC3023], section 3.2.
> 
> File extension(s):
>   .rdf
> 
> Fragment identifiers:
>   Identical to that of "application/xml" as described in RFC 3023
>   [RFC3023], section 5.
> 
> Base URI:
>   As specified in RFC 3023 [RFC3023], section 6.
> 
> Macintosh file type code(s):
>   "TEXT"
> 
> Person & email address to contact for further information:
>   [email-masked]
> 
> Intended usage:
>   COMMON
> 
> Restrictions on usage:
>   None
> 
> Author/Change controller:
>   The POWDER-S specification is a work product of the World Wide Web
>   Consortium's Protocol for Web Description Resources (POWDER) Working
>   Group. The W3C has change control over these specifications.
> 
> Please advise if there is any missing or incorrect information in this 
> request.
> 
> Yours faithfully
> 
> Phil Archer
> POWDER WG Chair.
> 
> 
> [1] http://www.w3.org/2002/06/registering-mediatype
> [2] http://lists.w3.org/Archives/Public/public-powderwg/2008Dec/0001.html
> [3] http://lists.w3.org/Archives/Public/public-powderwg/2008Dec/0002.html
> [4] For example 
> http://lists.w3.org/Archives/Public/public-powderwg/2008Dec/0026.html 
> and http://lists.w3.org/Archives/Public/public-powderwg/2008Dec/0012.html
> [5] http://www.w3.org/2007/powder/Group/powder-dr/20081205.html
> 
> 
> 

-- 
Phil Archer
w. http://philarcher.org/

Date: Tue, 06 Jan 2009 13:10:01 +0900
To: Sandro Hawke <[email-masked]>, [email-masked], [email-masked]
From: Martin Duerst <[email-masked]>
Subject: Re: please review "text/owl-functional" and "application/owl+xml" 
Cc: [email-masked]
Sender: [email-masked]

Hello Sandro,

Any reason why your Unicode reference is the outdated 3.0
(currently 5.0)?

Regards,   Martin.

At 09:03 09/01/06, Sandro Hawke wrote:
>
>The following two media type registrations are currently published, each
>as part a of W3C Last Call Working Draft ([1] [2]), and will soon be
>submitted to the IESG for review, approval, and registration with IANA
>(as per [3]).
>
>At this point, we would appreciate comments on this registration
>information.  If you see any problems, please let us know; I'll act as a
>liason between these IETF lists and the W3C Working Group responsible
>for these specifications.
>
>      -- Sandro
>
>[1] 
>http://www.w3.org/TR/owl2-syntax/#Appendix:_Internet_Media_Type.2C_File_Extension.2C_and_Macintosh_File_Type
>[2] 
>http://www.w3.org/TR/owl2-xml-serialization/#Appendix:_Internet_Media_Type.2C_File_Extension.2C_and_Macintosh_File_Type
>[3] http://www.w3.org/2002/06/registering-mediatype
>
>================================================================
>
>Type name
>
>    text 
>
>Subtype name
>
>    owl-functional 
>
>Required parameters
>
>    None 
>
>Optional parameters
>
>    charset 
>
>           This parameter may be required when transfering non-ASCII
>           data across some protocols. If present, the value of charset
>           should be UTF-8.
>
>Encoding considerations
>
>    The syntax of the OWL functional-style Syntax is expressed over code
>    points in Unicode [UNICODE]. The encoding should be UTF-8 [RFC3629],
>    but other encodings are allowed.
>
>    [[ UNICODE: The Unicode Standard Version 3.0, Addison Wesley, Reading
>    MA, 2000, ISBN: 0-201-61633-5,
>    http://www.unicode.org/unicode/standard/standard.html ]]
>
>Security considerations
>
>    The OWL functional-style Syntax uses IRIs as term
>    identifiers. Applications interpreting data expressed in the OWL
>    functional-style Syntax should address the security issues of
>    Internationalized Resource Identifiers (IRIs) [RFC3987] Section 8,
>    as well as Uniform Resource Identifiers (URI): Generic Syntax
>    [RFC3986] Section 7. Multiple IRIs may have the same
>    appearance. Characters in different scripts may look similar (a
>    Cyrillic "o" may appear similar to a Latin "o"). A character
>    followed by combining characters may have the same visual
>    representation as another character (LATIN SMALL LETTER E followed
>    by COMBINING ACUTE ACCENT has the same visual representation as
>    LATIN SMALL LETTER E WITH ACUTE). Any person or application that is
>    writing or interpreting data in the OWL functional-style Syntax must
>    take care to use the IRI that matches the intended semantics, and
>    avoid IRIs that may look similar. Further information about matching
>    of similar characters can be found in Unicode Security
>    Considerations [UNISEC] and Internationalized Resource Identifiers
>    (IRIs) [RFC3987] Section 8.
>
>    [[ UNISEC: Unicode Security Considerations, Mark Davis and Michel
>    Suignard, July 2008, http://www.unicode.org/reports/tr36/ ]]
>
>Interoperability considerations
>
>    There are no known interoperability issues. 
>
>Published specification
>
>    This specification. 
>    
>    [[ http://www.w3.org/TR/owl2-syntax/ ]]
>
>Applications which use this media type
>
>    No widely deployed applications are known to currently use this
>    media type. It is expected that OWL tools will use this media type
>    in the future.
>
>Additional information
>
>    None. 
>
>Magic number(s)
>
>    OWL functional-style Syntax documents may have the strings
>    'Namespace:' or 'Ontology:' (case dependent) near the beginning of
>    the document.
>
>File extension(s)
>
>    ".ofn" 
>
>Base IRI
>
>    There are no constructs in the OWL functional-style Syntax to change
>    the Base IRI.
>
>Macintosh file type code(s)
>
>    "TEXT" 
>
>Person & email address to contact for further information
>
>    Sandro Hawke <[email-masked]> 
>
>Intended usage
>
>    COMMON 
>
>Restrictions on usage
>
>    None 
>
>Author/Change controller
>
>    The OWL functional-style Syntax is the product of the W3C OWL
>    Working Group; W3C reserves change control over this specification.
>
>================================================================
>
>Type name
>
>    application 
>
>Subtype name
>
>    owl+xml 
>
>Required parameters
>
>    None 
>
>Optional parameters
>
>    charset 
>
>           This parameter may be required when transfering non-ascii
>           data across some protocols.
>
>Encoding considerations
>
>    The syntax of the OWL XML Serialization is expressed over code
>    points in Unicode [UNICODE].
>
>    [[ UNICODE: The Unicode Standard Version 3.0, Addison Wesley, Reading
>    MA, 2000, ISBN: 0-201-61633-5,
>    http://www.unicode.org/unicode/standard/standard.html ]]
>
>Security considerations
>
>    The OWL XML Serialization uses IRIs as term
>    identifiers. Applications interpreting data expressed in the OWL XML
>    Serialization should address the security issues of
>    Internationalized Resource Identifiers (IRIs) [RFC3987] Section 8,
>    as well as Uniform Resource Identifiers (URI): Generic Syntax
>    [RFC3986] Section 7. Multiple IRIs may have the same
>    appearance. Characters in different scripts may look similar (a
>    Cyrillic "o" may appear similar to a Latin "o"). A character
>    followed by combining characters may have the same visual
>    representation as another character (LATIN SMALL LETTER E followed
>    by COMBINING ACUTE ACCENT has the same visual representation as
>    LATIN SMALL LETTER E WITH ACUTE). Any person or application that is
>    writing or interpreting data in the OWL XML Serialization must take
>    care to use the IRI that matches the intended semantics, and avoid
>    IRIs that may look similar. Further information about matching of
>    similar characters can be found in Unicode Security Considerations
>    [UNISEC] and Internationalized Resource Identifiers (IRIs) [RFC3987]
>    Section 8.
>
>    [[ UNISEC: Unicode Security Considerations, Mark Davis and Michel
>    Suignard, July 2008, http://www.unicode.org/reports/tr36/ ]]
>
>Interoperability considerations
>
>    There are no known interoperability issues. 
>
>Published specification
>
>    This specification. 
>
>    [[ http://www.w3.org/TR/owl2-xml-serialization/ ]]
>
>Applications which use this media type
>
>    None at current time. 
>
>Additional information
>
>    None. 
>
>Magic number(s)
>
>    OWL XML documents are XML documents and thus may have initial
>    strings similar to any XML document.
>
>File extension(s)
>
>    ".owx" 
>
>Base URI
>
>    As in XML. 
>
>Macintosh file type code(s)
>
>    "TEXT" 
>
>Person & email address to contact for further information
>
>    Sandro Hawke <[email-masked]> 
>
>Intended usage
>
>    COMMON 
>
>Restrictions on usage
>
>    None 
>
>Author/Change controller
>
>    The OWL XML Serialization is the product of the W3C OWL Working
>    Group; W3C reserves change control over this specification.

#-#-#  Martin J. Du"rst, Assoc. Professor, Aoyama Gakuin University
#-#-#  http://www.sw.it.aoyama.ac.jp       mailto:[email-masked]